Bug 251126 - Load and Save Batch Queue Manager chaining tools workflow
Summary: Load and Save Batch Queue Manager chaining tools workflow
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: BatchQueueManager-Workflow (show other bugs)
Version: 2.6.0
Platform: Ubuntu Packages Linux
: NOR wishlist with 116 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
: 276089 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-09-13 17:51 UTC by Axel Krebs
Modified: 2016-07-03 20:12 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2010-09-13 17:51:22 UTC
Version:           1.2.0 (using KDE 4.4.2) 
OS:                Linux

when starting the batch queue manager, one can choose a text for the watermark. In most cases, this is used to mark the authors own "signature" or copyright text, however. 

Therefore, one has to spell this textline everytime again!! Why??

It would be much easier just to store this text and when correct the earlier text version or to replace this old lines. 

Reproducible: Always




OS: Linux (x86_64) release 2.6.32-24-generic
Compiler: cc
Comment 1 caulier.gilles 2010-09-13 18:02:34 UTC
Sorry, i don't understand you request...

Also, take a look into digiKam 1.4.0, where watermark tool have been improved.

Gilles Caulier
Comment 2 Marcel Wiesweg 2010-09-13 18:36:17 UTC
He would like the watermark tool in BQM to save the current watermark text setting in the config, and restore it when the tool is used again.
Comment 3 Axel Krebs 2010-09-13 21:29:02 UTC
Am 13.09.2010 18:36, schrieb Marcel Wiesweg:
> https://bugs.kde.org/show_bug.cgi?id=251126
> 
> 
> 
> 
> 
> --- Comment #2 from Marcel Wiesweg <marcel wiesweg gmx de>  2010-09-13 18:36:17 ---
> He would like the watermark tool in BQM to save the current watermark text
> setting in the config, and restore it when the tool is used again.
> 
That's exactly, what I mean :-) :-) :-) !
Comment 4 Mikkel Christensen 2010-09-20 13:59:55 UTC
I think this feature should be implemented as part of a more general way of saving batch queue tool settings. Personally, I would like to save a whole workflow like this:

- Watermark (with an image, not a text)
- Resize to specific size
- Save as JPG with specific compression

This whole workflow can be set up in the batch queue manager, but it cannot be saved. I would like to be able to save different workflows for different purposes.

From what I can see in the source code for batch queue tools, somebody has been thinking ahead about implementing saved settings some day. The way that the settings are managed is very structured. Am I right?

Mikkel
Comment 5 caulier.gilles 2010-11-07 19:19:21 UTC
*** Bug 256309 has been marked as a duplicate of this bug. ***
Comment 6 caulier.gilles 2011-08-31 11:44:28 UTC
*** Bug 271198 has been marked as a duplicate of this bug. ***
Comment 7 caulier.gilles 2011-08-31 11:45:18 UTC
*** Bug 276089 has been marked as a duplicate of this bug. ***
Comment 8 caulier.gilles 2011-11-24 12:56:23 UTC
*** Bug 287407 has been marked as a duplicate of this bug. ***
Comment 9 Julien 2012-04-09 05:53:40 UTC
*** This bug has been confirmed by popular vote. ***
Comment 10 Chris Nicoll 2012-06-26 17:14:22 UTC
It would be awesome to be able to include a bash script in a saved preset in the BQM (like with the notifications functionality, but without being limited to one script set under "run command" in the notifications behaviour).
Comment 11 Axel Krebs 2012-06-26 19:54:36 UTC
Am 09.04.2012 07:53, schrieb Julien:
> https://bugs.kde.org/show_bug.cgi?id=251126
> 
> Julien <martinjuju@hotmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |NEW
>      Ever confirmed|0                           |1
> 
> --- Comment #9 from Julien <martinjuju@hotmail.com> ---
> *** This bug has been confirmed by popular vote. ***
> 


Thank You all!!!


Axel
Comment 12 caulier.gilles 2012-12-20 17:16:52 UTC
Git commit dcd1fe5f5c328c1e8c1443769793c1dd162ba969 by Gilles Caulier.
Committed on 20/12/2012 at 18:05.
Pushed by cgilles into branch 'master'.

Batch Queue Manager improvement : add Queue settings included Assigned Batch Tools list save and restore feature. Concept is named Workflow in GUI.
By this way, end users is able to apply prefered and fully customized settings already used in previous queues processed in BQM. A control panel dedicated
to manage worflow list have been add to main BQM window. Workflow settings are saved in dedicated xml files from your home directory (into KDE config dir)
FIXED-IN: 3.0.0

M  +464  -115  libs/dimg/drawdecoding.cpp
M  +6    -0    libs/dimg/drawdecoding.h
M  +3    -0    utilities/queuemanager/CMakeLists.txt
M  +1    -1    utilities/queuemanager/basetools/color/bcgcorrection.cpp
M  +39   -4    utilities/queuemanager/main/queuemgrwindow.cpp
M  +2    -0    utilities/queuemanager/main/queuemgrwindow.h
M  +2    -0    utilities/queuemanager/main/queuemgrwindow_p.h
M  +2    -1    utilities/queuemanager/main/queuemgrwindowui.rc
M  +4    -0    utilities/queuemanager/manager/batchtool.h
M  +6    -4    utilities/queuemanager/manager/batchtoolutils.cpp
M  +2    -1    utilities/queuemanager/manager/batchtoolutils.h
M  +6    -2    utilities/queuemanager/manager/queuesettings.h
A  +202  -0    utilities/queuemanager/manager/workflowdlg.cpp     [License: GPL (v2+)]
C  +24   -25   utilities/queuemanager/manager/workflowdlg.h [from: utilities/queuemanager/views/toolsview.h - 050% similarity]
A  +454  -0    utilities/queuemanager/manager/workflowmanager.cpp     [License: GPL (v2+)]
A  +112  -0    utilities/queuemanager/manager/workflowmanager.h     [License: GPL (v2+)]
M  +5    -1    utilities/queuemanager/views/assignedlist.cpp
M  +1    -1    utilities/queuemanager/views/queuelist.cpp
M  +28   -4    utilities/queuemanager/views/queuepool.cpp
M  +2    -1    utilities/queuemanager/views/queuepool.h
M  +23   -18   utilities/queuemanager/views/toolsview.cpp
M  +11   -1    utilities/queuemanager/views/toolsview.h
A  +303  -0    utilities/queuemanager/views/workflowlist.cpp     [License: GPL (v2+)]
A  +96   -0    utilities/queuemanager/views/workflowlist.h     [License: GPL (v2+)]

http://commits.kde.org/digikam/dcd1fe5f5c328c1e8c1443769793c1dd162ba969
Comment 13 nvlplx 2012-12-29 14:17:37 UTC
Gilles, you're my heroe ! 

Merci pour tout le travail que tu fais sur Digikam, qui s'améliore réellement de version en version (il ne lui manque plus que les U-points pour être parfait  ).

Joyeux Noël à ta famille (on est encore dans l'octave de Noël, j'en profite) et bonne année 2013 par avance.


Paul N.



________________________________
 De : Gilles Caulier <caulier.gilles@gmail.com>
À : nvlplx@yahoo.fr 
Envoyé le : Jeudi 20 décembre 2012 18h16
Objet : [Bug 251126] Load and Save Batch Queue Manager chaining tools workflow
 
https://bugs.kde.org/show_bug.cgi?id=251126

Gilles Caulier <caulier.gilles@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|CONFIRMED                   |RESOLVED
   Version Fixed In|                            |3.0.0
         Resolution|---                         |FIXED
      Latest Commit|                            |http://commits.kde.org/digi
                   |                            |kam/dcd1fe5f5c328c1e8c14437
                   |                            |69793c1dd162ba969

--- Comment #12 from Gilles Caulier <caulier.gilles@gmail.com> ---
Git commit dcd1fe5f5c328c1e8c1443769793c1dd162ba969 by Gilles Caulier.
Committed on 20/12/2012 at 18:05.
Pushed by cgilles into branch 'master'.

Batch Queue Manager improvement : add Queue settings included Assigned Batch
Tools list save and restore feature. Concept is named Workflow in GUI.
By this way, end users is able to apply prefered and fully customized settings
already used in previous queues processed in BQM. A control panel dedicated
to manage worflow list have been add to main BQM window. Workflow settings are
saved in dedicated xml files from your home directory (into KDE config dir)
FIXED-IN: 3.0.0

M  +464  -115  libs/dimg/drawdecoding.cpp
M  +6    -0    libs/dimg/drawdecoding.h
M  +3    -0    utilities/queuemanager/CMakeLists.txt
M  +1    -1    utilities/queuemanager/basetools/color/bcgcorrection.cpp
M  +39   -4    utilities/queuemanager/main/queuemgrwindow.cpp
M  +2    -0    utilities/queuemanager/main/queuemgrwindow.h
M  +2    -0    utilities/queuemanager/main/queuemgrwindow_p.h
M  +2    -1    utilities/queuemanager/main/queuemgrwindowui.rc
M  +4    -0    utilities/queuemanager/manager/batchtool.h
M  +6    -4    utilities/queuemanager/manager/batchtoolutils.cpp
M  +2    -1    utilities/queuemanager/manager/batchtoolutils.h
M  +6    -2    utilities/queuemanager/manager/queuesettings.h
A  +202  -0    utilities/queuemanager/manager/workflowdlg.cpp     [License: GPL
(v2+)]
C  +24   -25   utilities/queuemanager/manager/workflowdlg.h [from:
utilities/queuemanager/views/toolsview.h - 050% similarity]
A  +454  -0    utilities/queuemanager/manager/workflowmanager.cpp     [License:
GPL (v2+)]
A  +112  -0    utilities/queuemanager/manager/workflowmanager.h     [License:
GPL (v2+)]
M  +5    -1    utilities/queuemanager/views/assignedlist.cpp
M  +1    -1    utilities/queuemanager/views/queuelist.cpp
M  +28   -4    utilities/queuemanager/views/queuepool.cpp
M  +2    -1    utilities/queuemanager/views/queuepool.h
M  +23   -18   utilities/queuemanager/views/toolsview.cpp
M  +11   -1    utilities/queuemanager/views/toolsview.h
A  +303  -0    utilities/queuemanager/views/workflowlist.cpp     [License: GPL
(v2+)]
A  +96   -0    utilities/queuemanager/views/workflowlist.h     [License: GPL
(v2+)]

http://commits.kde.org/digikam/dcd1fe5f5c328c1e8c1443769793c1dd162ba969